summaryrefslogtreecommitdiff
path: root/tests/convert-tests.sh
diff options
context:
space:
mode:
authorDimitri John Ledkov <xnox@ubuntu.com>2016-07-26 13:24:39 +0100
committerDimitri John Ledkov <xnox@ubuntu.com>2016-07-26 13:24:39 +0100
commit3d69435ee3292b4b1db2d61c4784789d75883821 (patch)
tree2c0edc9d9501374799875af36259089feb99d48c /tests/convert-tests.sh
Imported Upstream version 4.6.1
Diffstat (limited to 'tests/convert-tests.sh')
-rwxr-xr-xtests/convert-tests.sh49
1 files changed, 49 insertions, 0 deletions
diff --git a/tests/convert-tests.sh b/tests/convert-tests.sh
new file mode 100755
index 00000000..0e025f99
--- /dev/null
+++ b/tests/convert-tests.sh
@@ -0,0 +1,49 @@
+#!/bin/bash
+#
+# convert ext2/3/4 images to btrfs images, and make sure the results are
+# clean.
+
+LANG=C
+SCRIPT_DIR=$(dirname $(readlink -f $0))
+TOP=$(readlink -f $SCRIPT_DIR/../)
+TEST_DEV=${TEST_DEV:-}
+RESULTS="$TOP/tests/convert-tests-results.txt"
+IMAGE="$TOP/tests/test.img"
+
+source $TOP/tests/common
+source $TOP/tests/common.convert
+
+export TOP
+export RESULTS
+export LANG
+export IMAGE
+export TEST_DEV
+
+rm -f $RESULTS
+
+run_one_test() {
+ local testdir
+ local testname
+
+ testdir="$1"
+ testname=$(basename "$testdir")
+ echo " [TEST/conv] $testname"
+ cd "$testdir"
+ echo "=== Entering $testname" >> $RESULTS
+ if [ -x test.sh ]; then
+ # Only support custom test scripts
+ ./test.sh
+ if [ $? -ne 0 ]; then
+ _fail "test failed for case $testname"
+ fi
+ else
+ _fail "custom test script not found"
+ fi
+}
+
+# Test special images
+for i in $(find $TOP/tests/convert-tests -maxdepth 1 -mindepth 1 -type d \
+ ${TEST:+-name "$TEST"} | sort)
+do
+ run_one_test "$i"
+done